import request from '@/utils/request'

// 查询对话日志列表
export function listDialogueLog(query) {
  return request({
    url: '/base/dialogueLog/list',
    method: 'get',
    params: query
  })
}

// 查询对话日志详细
export function getDialogueLog(id) {
  return request({
    url: '/base/dialogueLog/' + id,
    method: 'get'
  })
}

// 新增对话日志
export function addDialogueLog(data) {
  return request({
    url: '/base/dialogueLog',
    method: 'post',
    data: data
  })
}

// 修改对话日志
export function updateDialogueLog(data) {
  return request({
    url: '/base/dialogueLog',
    method: 'put',
    data: data
  })
}

// 删除对话日志
export function delDialogueLog(id) {
  return request({
    url: '/base/dialogueLog/' + id,
    method: 'delete'
  })
}
